Поддержка / База знаний

Поиск
Общие фильтры
Только точные совпадения
Искать в названиях
Поиск по содержанию
Поиск в выписке
Фильтр по типу пользовательского сообщение
руководства пользователя
Публикации
Часто Задаваемые Вопросы
дело
  • руководства пользователя
  • Публикации
  • Часто Задаваемые Вопросы
  • дело
  • Helpdesk



Управление учетными записями и лицензиями

Филиалы

Настройка параметров - Геокодирование

Настройка параметров - Слои

Установка и настройка

Инструменты управления - Импорт и экспорт

Разное

Руководство для начинающих

Переводы

Использование API

Работа с картами - кластеризация

Работа с картами - Фильтры

Работа с картами - треки GPX

Работа с картами - Список маркеров



Настройка параметров - Геокодирование

Настройка параметров - Слои

Разное

Переводы



Управление учетными записями и лицензиями

Филиалы

Я хочу рекламировать Maps Marker Pro со ссылками и баннерами на моем сайте. У вас есть партнерская программа?

Да, мы делаем.

Когда вы присоединитесь к нашей партнерской программе, вам будут предоставлены различные баннеры и текстовые ссылки, которые вы размещаете на своем веб-сайте. Когда пользователь переходит по ссылкам с вашего сайта и покупает что-то на mapsmarker.com, вы получаете комиссию. У нас есть комиссии до 50% и трехуровневые уровни с 5% комиссионных за каждый уровень.

Проверьте детали на mapsmarker.com/affiliates.

0
0
4587
Оцените этот FAQ ответ

Настройка параметров - Слои

Может ли Maps Marker Pro также отображать карты погоды?

Maps Marker Pro позволяет вам использовать все виды карт, которые доступны через стандарт WMTS или WMS. Эти пользовательские слои можно добавить через Настройки / Слои / Пользовательские:

Список кастомизированных слоев сообщества можно найти на https://mapsmarker.com/custom-layers

Для специальных слоев погоды, пожалуйста, посмотрите на https://gis.stackexchange.com/questions/6345/listing-available-online-wms-services-weather-land-data-place-names для начальной точки - многие из них могут быть настроены для использования в Maps Marker Pro.

0
0
10036
Оцените этот FAQ ответ

Как пользоваться официальной австрийской картой basemap.at

Basemap.at это официальная карта Австрии, которая доступна как открытые данные и является предопределенной базовой картой в Maps Marker Pro v4.0 +:

0
0
5141
Оцените этот FAQ ответ

Установка и настройка

Как удалить Maps Marker Pro

Если вы хотите удалить Maps Marker Pro, войдите в систему с учетной записью администратора на своем сайте WordPress, перейдите в раздел Плагины и сначала деактивируйте Maps Marker Pro:

В качестве следующего шага, пожалуйста, нажмите «удалить»:

В качестве следующего шага, пожалуйста, подтвердите удаление, нажав «ОК» (внимание: все созданные карты и маркеры также будут удалены, и отменить это действие невозможно, если вы не восстановите резервную копию!)

Если вы также хотите удалить свою учетную запись клиента и лицензию на наших серверах, пожалуйста, открыть билет поддержки.

0
0
8127
Оцените этот FAQ ответ

Совместим ли Maps Marker Pro с Gutenberg / WordPress 5.x?

Да, Maps Marker Pro совместим с WordPress 5 и новым редактором Гутенберга. Общие минимальные требования Maps Marker Pro см. На странице этот FAQ.

В будущем выпуске мы также планируем добавить пользовательский блок карты, который позволит вам легко искать и добавлять шорткоды для карт (до этого вам нужно скопировать и вставить шорткод для карты в блок):

Шаг 1 - скопируйте шорткод, например, со страницы редактирования карты

Шаг 2 - вставьте шорткод в редактор Гутенберга, что приведет к автоматическому созданию блока шорткода

0
0
8175
Оцените этот FAQ ответ

Ошибка разбора: синтаксическая ошибка, неожиданный T_OBJECT_OPERATOR в maps-marker-pro.php

Не удалось активировать плагин, поскольку он вызвал фатальную ошибку. Ошибка разбора: синтаксическая ошибка, неожиданный T_OBJECT_OPERATOR в /wp-content/plugins/maps-marker-pro/maps-marker-pro.php в строке 66

Если вы видите ошибку выше при попытке активировать Maps Marker Pro, это обычно означает, что версия PHP, используемая на вашем сервере, слишком мала.

Для работы Maps Marker Pro требуется как минимум PHP 5.4, так как PHP 5.4 уже устарел и больше не получает обновлений (включая исправления безопасности!) С сентября 2015 г., мы настоятельно рекомендуем в настоящее время поддерживается версия PHP (7.x).

Чтобы это исправить, переключите версию PHP через панель управления хостингом, если это возможно, или обратитесь в службу поддержки вашего хостинг-провайдера, чтобы выбрать версию PHP для вас.

0
0
8760
Оцените этот FAQ ответ

Каковы минимальные требования для Maps Marker Pro?

Чтобы установить Maps Marker Pro, необходимо выполнить следующие минимальные требования:

  • PHP 5.4 или выше (рекомендуется текущая версия 7.x, совместимость PHP была протестирована с 7.0, 7.1, 7.2 и 7.3)
  • WordPress 4.5 или выше или ClassicPress.
  • Для проверки лицензионного ключа ваш сервер должен иметь возможность подключиться к www.mapsmarker.com через порт 443
0
0
4904
Оцените этот FAQ ответ

Совместим ли Maps Marker Pro с ClassicPress?

ClassicPress - это модифицированная и улучшенная версия WordPress (без Гутенберга), доступная по адресу https://www.classicpress.net/.

Карты Marker Pro также совместимы с ClassicPress.

1
0
4829
Оцените этот FAQ ответ

Будет ли Maps Marker Pro работать на сайтах WordPress.com?

Нет. Платформа WordPress.com не позволяет устанавливать дополнительные плагины, что делает невозможным установку Maps Marker Pro. Maps Marker Pro работает только при самостоятельной установке WordPress.

0
0
4628
Оцените этот FAQ ответ

Могу ли я установить Maps Marker Pro на установку WordPress MultiSite?

Да, установка Maps Marker Pro на WordPress MultiSite возможна. Просто помните, что модель лицензии основана на домене, поэтому, если вы используете субдомены для многоузловой установки, вам нужно активировать лицензию для каждого домена. Если ваши дочерние сайты доступны в подкаталогах вашего основного домена, необходимо активировать только главный сайт.

Вы найдете подробную информацию и инструмент для распространения вашей лицензии на своих дочерних сайтах на странице настроек лицензии.

0
0
7785
Оцените этот FAQ ответ

Как я могу вернуться к старой версии Maps Marker Pro?

Если у вас возникли проблемы после обновления, пожалуйста, открыть билет поддержки, Если проблема серьезная и затрагивает всех пользователей, мы немедленно начнем работать над исправлением, которое мы сделаем доступным как можно скорее (обычно в течение 12-24 часов).

Если вы хотите вернуться к старой версии, пока это исправление не станет доступно, пожалуйста, скачайте старую версию с https://www.mapsmarker.com/updates_pro/archive/ и перезаписать файлы плагинов на вашем сервере в каталоге / wp-content / plugins / maps-marker-pro / (v4 +) или / wp-content / plugins / leaflet-maps-marker-pro / (v3.1.1 или ниже) ,

Пожалуйста, НЕ удаляйте и переустанавливайте плагин для отката к старой версии, так как удаление плагина также удалит все данные карты!

0
0
7808
Оцените этот FAQ ответ

Этот плагин совместим с мультисайтом WordPress?

Чтобы установить Maps Marker Pro на многосайтовый экземпляр WordPress, вам нужна как минимум одна лицензия. Профессиональная версия даже включает некоторые дополнительные инструменты администратора, которые позволяют распространять лицензионный ключ или пользовательские настройки на все дочерние сайты.

1
0
12518
Оцените этот FAQ ответ

Я хотел бы использовать этот плагин на wordpress.com

К сожалению, в настоящее время это невозможно, так как плагины для wordpress.com выбираются автоматически. Тем не менее, вы можете написать письмо на plugins@wordpress.org и спросить, может ли этот плагин быть включен в будущем (что я был бы очень признателен 😉)

0
0
4611
Оцените этот FAQ ответ

Какая минимально необходимая версия WordPress?

Минимальная необходимая версия WordPress для запуска Maps Marker Pro - 4.5 - в любом случае рекомендуется всегда обновляться до последней версии WordPress.

0
0
10896
Оцените этот FAQ ответ

Работает ли плагин с PHP xx?

Для запуска этого плагина на вашем сервере должен быть установлен как минимум PHP 5.4.

0
0
9741
Оцените этот FAQ ответ

Разное

Куда отправить запрос

У вас есть идея, как улучшить Maps Marker Pro? Тогда, пожалуйста, дайте нам знать, либо отправка заявки в службу поддержки или используя наш Форму обратной связи.

0
0
8026
Оцените этот FAQ ответ

Соответствует ли Maps Marker Pro GDPR / DSGVO?

Да - пожалуйста, посмотрите на наш политика конфиденциальности в котором описывается, как мы собираем и используем предоставленную вами личную информацию.

0
0
10223
Оцените этот FAQ ответ

Поддерживает ли Maps Marker Pro файлы форм?

В настоящее время с v4.0 файлы форм / shp не поддерживаются - мы играем, чтобы добавить поддержку для будущего выпуска (дата выпуска пока не доступна).

Если вы хотите быть в курсе последних разработок Maps Marker, пожалуйста, подпишитесь на наши новости через RSS, следовать @MapsMarker в твиттере или на Facebook.

0
0
9447
Оцените этот FAQ ответ

Я также хотел бы использовать эту форму - исходный код доступен как открытый исходный код?

Да, на самом деле я даже создал плагин для WordPress, который вы можете скачать по адресу http://wordpress.org/plugins/bitcoin-order-form-for-mapsmarkercom/ Код также доступен на Github по адресу https://github.com/robertharm/bitcoin-order-form

Обратите внимание, что этот плагин настроен для MapsMarker.com и не имеет параметров для настройки продуктов в бэкэнде. Я поделился кодом для разработчиков, чтобы им не нужно было заново изобретать колесо, а изменять только некоторые параметры формы в коде, если они хотят использовать настроенную версию на своих сайтах.

0
0
13967
Оцените этот FAQ ответ

Могу ли я попробовать демо-версию Maps Marker Pro?

Да: тестовые карты Marker Pro живут в https://demo.mapsmarker.com, где вы можете войти в бэкэнд и протестировать страницы администратора Maps Marker Pro перед покупка лицензии or начать бесплатную 30-дневную пробную версию на вашем сервере.

1
0
8119
Оцените этот FAQ ответ

Какие функции запланированы на будущие выпуски?

Пожалуйста, проверить дорожную карту для запланированной функции для следующих выпусков Maps Marker Pro.

0
0
14175
Оцените этот FAQ ответ

Я хотел бы иметь функцию XY в одной из следующих версий плагина

Пожалуйста, проверьте дорожная карта для Maps Marker Pro если ваша функция уже была указана там. Если нет, пожалуйста, добавьте комментарий там.

0
0
7291
Оцените этот FAQ ответ

Цены

Я хочу продать твой плагин. У вас есть скидки для реселлеров?

Да. У нас есть программа, которая позволяет перепродавать лицензии со скидкой 20%. Если вы заинтересованы в перепродаже Maps Marker Pro, пожалуйста, посетите mapsmarker.com/reseller.

2
0
8448
Оцените этот FAQ ответ

Могу ли я попробовать демо-версию Maps Marker Pro?

Да: тестовые карты Marker Pro живут в https://demo.mapsmarker.com, где вы можете войти в бэкэнд и протестировать страницы администратора Maps Marker Pro перед покупка лицензии or начать бесплатную 30-дневную пробную версию на вашем сервере.

1
0
8119
Оцените этот FAQ ответ

Если я больше не хочу использовать Maps Marker Pro, могу ли я получить возмещение?

Нет, прости, ты не можешь. Чтобы избежать угрызений совести покупателя, пожалуйста, не стесняйтесь попробовать перед покупкой: Maps Marker Pro предлагает Бесплатная пробная версия 30 без каких-либо скрытых затрат, позволяя вам проверить, соответствует ли плагин вашим потребностям и работает ли в вашей среде хостинга. Если в это время появятся какие-либо вопросы, пожалуйста, не стесняйтесь войти в контакт с нами.

1
0
5249
Оцените этот FAQ ответ

Итак… неиссякаемый лицензионный ключ действительно означает, что я могу использовать Maps Marker Pro навсегда после того, как однажды приобрел лицензию?

Да, вот как мы это делаем. Мы не принуждаем вас к обновлению, но мы прилагаем все усилия к тому, чтобы вы захотели продлить свою лицензию на наши частые обновления, актуальные версии и невероятную поддержку.

1
0
9247
Оцените этот FAQ ответ

Будут ли у меня какие-либо обязательства после бесплатного 30-дневного пробного периода?

Нет, абсолютно нет. Вы можете проверить все возможности Maps Marker Pro 30 дней бесплатно без всякого риска. Через 30 дней плагин просто перестанет работать, если вы не введете действительный лицензионный ключ. (Если вы обновились с бесплатной облегченной версии, вы можете вернуться к ней.)

Обратите внимание, что мы никогда не передаем ваши данные третьим лицам - см. Наш политика конфиденциальности для деталей о нашем моральном кодексе.

1
0
9471
Оцените этот FAQ ответ

Могу ли я вернуться к бесплатной версии без потери данных?

Да, если вы использовали профессиональный апгрейд для запуска бесплатной 30-дневной пробной версии и хотите вернуться к бесплатной версии по истечении 30-дневной бесплатной пробной версии, это возможно без потери данных.

Так как Maps Marker Pro v4.0, который полностью переписан и больше не использует кодовую базу с Leaflet Maps Marker, откат от свободного к pro больше невозможен, как это было раньше с Maps Marker Pro v3.1.1. Поскольку оба плагина используют разные таблицы базы данных, вы можете в любое время переключаться между этими двумя версиями - изменения в профессиональной версии больше не будут отражаться в бесплатной версии, начиная с версии Maps Marker Pro v4.0.

1
0
5268
Оцените этот FAQ ответ

Смогу ли я повторно использовать данные моей карты при обновлении с бесплатной версии?

Да, с Maps Marker Pro вы сможете использовать карты маркеров и слоев, созданные с помощью бесплатной версии плагина, так как данные вашей карты будут перенесены в схему базы данных Maps Marker Pro.

2
0
7989
Оцените этот FAQ ответ

Сколько стоит про версия?

Пожалуйста, проверить магазин по текущим ценам.

1
0
8809
Оцените этот FAQ ответ

Могу ли я использовать этот плагин в коммерческом контексте?

Да, вы можете использовать Leaflet Maps Marker и Maps Marker Pro в коммерческом контексте. В любом случае требуется, чтобы ссылки на атрибуты для условий лицензии используемых карт не удалялись с каждой карты, отображаемой через плагин на вашем веб-сайте.

Maps Marker Pro не распространяется под лицензией GPL 2.0, но, конечно, также может использоваться в коммерческом контексте. Pro версия также позволяет удалить обратные ссылки на MapsMarker.com - пожалуйста, проверьте Условия предоставления услуг Больше подробностей.

В зависимости от поставщиков геокодирования или базовой карты, которые требуют дополнительной регистрации, могут применяться дополнительные требования. Пожалуйста, проверьте ToS внешних поставщиков перед регистрацией для получения более подробной информации.

3
0
8993
Оцените этот FAQ ответ

Вторичное жилье

Я хочу продать твой плагин. У вас есть скидки для реселлеров?

Да. У нас есть программа, которая позволяет перепродавать лицензии со скидкой 20%. Если вы заинтересованы в перепродаже Maps Marker Pro, пожалуйста, посетите mapsmarker.com/reseller.

2
0
8448
Оцените этот FAQ ответ

Решение Проблем

Плагин не может быть активирован - Неустранимая ошибка: Uncaught Ошибка: класс 'MMP \ SPBAS' не найден

Неустранимая ошибка: необработанная ошибка: класс 'MMP \ SPBAS' не найден в /wp-content/plugins/maps-marker-pro/classes/maps-marker-pro.php:111

Если вы получаете сообщение об ошибке выше при активации плагина, вероятно, ваш сервер имеет уровень безопасности (например, mod_security), который привел к удалению определенных обфусцированных файлов Maps Marker Pro. Эти файлы по умолчанию скрыты, чтобы защитить механизм проверки лицензии, и если уровень безопасности настроен строго, эти файлы могут быть ложно идентифицированы как вредоносные программы.

Чтобы исправить это, пожалуйста, обновите до v4.10 или выше. Если вы все еще испытываете проблемы, пожалуйста, откройте билет поддержки.

Чтобы это исправить, обратитесь к хостеру и попросите его добавить следующие 3 файла в белый список уровня безопасности:

  • /wp-content/plugins/maps-marker-pro/classes/menu-license.php
  • /wp-content/plugins/maps-marker-pro/classes/shortcodes.php
  • /wp-content/plugins/maps-marker-pro/classes/spbas.php

Если это сделано, повторно загрузите текущий пакет плагинов (соответственно версия, которую вы используете из наши релизы архивы если он не является текущим) и вручную повторно загрузите 3 файла выше по FTP.

0
0
4571
Оцените этот FAQ ответ

Плитки карты Google не отображаются при использовании темы «Газета»

Если вы используете тему Газета доступно на рынке Envatot может случиться так, что листы карты для базовых карт Google не будут видны:

Это вызвано темой style.css - мы уже связались со службой поддержки и надеемся, что проблема будет исправлена ​​в новой версии темы «Газета» в ближайшее время.

Пока это исправление не доступно, вы можете обойти эту проблему, перейдя в «Газета / панель тем», выберите вкладку «Пользовательский код» и добавьте следующий CSS в раздел «Пользовательский CSS»:

body.td-animation-stack-type0 .td-animation-stack .entry-thumb, body.td-animation-stack-type0 .post img { непрозрачность: не установлено! важно; }

в качестве альтернативы вы также можете добавить следующий CSS:

.maps-marker-pro img { непрозрачность: 1! важно; }

0
0
5470
Оцените этот FAQ ответ

Я не могу обновить карту или маркер, так как кнопка сохранения отключена

Если кнопка «Сохранить» на страницах редактирования карты или маркера отключена и не может быть нажата, вероятно, это вызвано конфликтом плагинов. Чтобы убедиться в этом, отключите все остальные плагины, кроме Maps Marker Pro, и повторите попытку.

Если это не помогает, возможно, проблема в общей конечной точке WordPress AJAX. Загляните в консоль браузера (например, ее можно открыть клавишей F11), чтобы узнать, есть ли какие-либо сообщения об ошибках. Отправьте нам эти сообщения об ошибках в техподдержки так что мы можем взглянуть поближе.

0
0
10210
Оцените этот FAQ ответ

Ошибка геокодирования «OVER_QUERY_LIMIT»

Если вы получаете сообщение об ошибке OVER_QUERY_LIMIT при попытке геокодировать адрес с Google, установленным в качестве поставщика геокодирования, это означает, что вы превысили пределы использования веб-служб Google Maps Platform на:

  • отправлять слишком много запросов в день или, например,
  • отправка запросов слишком быстро, т.е. слишком много запросов в секунду

Вышеупомянутые проблемы могут быть решены путем сочетания двух подходов:

  1. Сокращение использования за счет оптимизации приложений для более эффективного использования веб-служб.
  2. Увеличение ограничений использования, если это возможно, путем приобретения дополнительной скидки для вашей лицензии Google Maps APIs для работы.

Мы предлагаем войти в ваш Консоль Google API и проверьте и отрегулируйте свои пределы использования там.

В качестве альтернативы вы можете переключиться на другой провайдер геокодирования.

1
1
13877
Оцените этот FAQ ответ

Нет результатов геокодирования для определенного адреса или местоположения

Maps Marker Pro позволяет вам выбирать из разных провайдеров геокодирования, что позволяет вам получать наилучшие результаты в соответствии с вашими потребностями. Список доступных поставщиков геокодирования и инструкции по их активации см. На https://www.mapsmarker.com/kb/article/geocoding/.

Помните, что каждый поставщик геокодирования использует разные источники с разными циклами обновления. Тем не менее может случиться так, что для адреса, который определенно существует, результата не найдено. Если это так, мы рекомендуем переключиться на другого поставщика геокодирования, чтобы проверить, найден ли там точный адрес, например, с помощью раскрывающегося списка, в котором показаны все активные поставщики геокодирования:

Если результат все еще не найден, вы можете помочь всем службам геокодирования на основе OpenStreetMap (все, кроме Google Geocoding) улучшить свой набор данных, отправив адрес. Для получения дополнительной информации о том, как помочь улучшить адресные данные для OpenStreetMap, пожалуйста, посмотрите на следующие сайты:

0
0
12735
Оцените этот FAQ ответ

Ошибка «Тип файла не разрешен по соображениям безопасности» при попытке загрузить файл gpx

Эта проблема должна быть исправлена ​​в Maps Marker Pro v4.3 и выше - пожалуйста, обновите его до последней версии, чтобы применить это исправление.

Если проблема не устранена, добавьте следующий код в wp-config.php, который должен повторно включить загрузку файлов .gpx:

define ('ALLOW_UNFILTERED_UPLOADS', true);

Если это не помогает на вашем сайте, пожалуйста, посмотрите другие варианты, доступные из этот внешний учебник.

Если после этого проблема не устранена, пожалуйста, открыть билет поддержки.

3
0
8683
Оцените этот FAQ ответ

Окно значка маркера перекрывается картой

Если вы хотите изменить значок маркера и окно иконки скрывается за картой при нажатии кнопки «Изменить» для значков, это обычно вызывается конфликтом плагинов (некоторые плагины не следуют передовым методам и встраивают свои javascripts и CSS-файлы на каждой странице администратора, а не только там, где это необходимо).

Вы можете либо найти и отключить плагин, вызывающий это, либо добавить следующий код в конце вашего
theme´s functions.php, чтобы исправить это:

/ * Maps Marker Pro - исправление скрытия модальной иконки другими плагинами или темами с помощью jquery ui * / function mmp_icon_modal_visibility_workaround () {$ current_screen = get_current_screen (); if (($ current_screen-> base == 'maps-marker-pro_page_mapsmarkerpro_marker') || ($ current_screen-> base == 'maps-marker-pro_page_mapsmarkerpro_map')) {echo '<стиль> .ui-dialog {z- индекс: 99999! важно; } </ Стиль> '; }} add_action ('admin_head', 'mmp_icon_modal_visibility_workaround');
0
1
13041
Оцените этот FAQ ответ

Ошибка разбора: синтаксическая ошибка, неожиданный T_OBJECT_OPERATOR в maps-marker-pro.php

Не удалось активировать плагин, поскольку он вызвал фатальную ошибку. Ошибка разбора: синтаксическая ошибка, неожиданный T_OBJECT_OPERATOR в /wp-content/plugins/maps-marker-pro/maps-marker-pro.php в строке 66

Если вы видите ошибку выше при попытке активировать Maps Marker Pro, это обычно означает, что версия PHP, используемая на вашем сервере, слишком мала.

Для работы Maps Marker Pro требуется как минимум PHP 5.4, так как PHP 5.4 уже устарел и больше не получает обновлений (включая исправления безопасности!) С сентября 2015 г., мы настоятельно рекомендуем в настоящее время поддерживается версия PHP (7.x).

Чтобы это исправить, переключите версию PHP через панель управления хостингом, если это возможно, или обратитесь в службу поддержки вашего хостинг-провайдера, чтобы выбрать версию PHP для вас.

0
0
8760
Оцените этот FAQ ответ

Ошибка «Только для разработки» в базовых картах Google

По умолчанию Maps Marker Pro использует OpenStreetMap для карт, которые можно использовать без обязательной регистрации ключа API. Однако, если вы используете Карты Google, у вас может возникнуть следующая проблема, если настройка ключа API Google была неполной / неправильной:

Если вы видите ошибку «Только для целей разработки» на своей карте с использованием базовых карт Google, откройте консоль браузера (например, нажав клавишу F12 в Firefox или Chrome) и перейдите на вкладку «Консоль» e, чтобы просмотреть более подробную информацию о ошибка:

В приведенном выше примере ошибка NoApiKeys, что означает, что отсутствует обязательный ключ API Карт Google для Javascript.

В любом случае, большинство ошибок связано с ключом API Карт Google Javascript, который необходим для правильного отображения Карт Google.

Поэтому, чтобы это исправить, действуйте следующим образом:

  1. убедитесь, что вы зарегистрировали ключ API Карт Google Javascript, см. учебник для деталей. Также убедитесь, что вы сохранили данные своей кредитной карты в консоли API Google, которая необходима после Изменения в Google ToS с лета 2018 года.
  2. если ваша ошибка RefererNotAllowedMapError пожалуйста, проверьте шаг 6 из учебник и убедитесь, что вы правильно установили ваш принятый реферер для домена, в который встроена карта, например * .Yourdomain.com / *

Для всех других ошибок, пожалуйста, посмотрите на ссылку ошибки на https://developers.google.com/maps/documentation/javascript/error-messages#deverrorcodes где вы также найдете возможное решение.

Если это по-прежнему не помогает, пожалуйста, откройте техподдержки и мы будем рады помочь.

7
2
22332
Оцените этот FAQ ответ

Ошибка «Не удалось отправить запрос» при попытке перехода на v4

Эта ошибка указывает на то, что существуют некоторые проблемы с вашей конфигурацией AJAX, соответственно, с конечной точкой wp-admin / admin-ajax.php.

Чтобы убедиться в этом, откройте консоль браузера (например, с F12 в Firefox или chrome), переключитесь на вкладку «Консоль», перезагрузите страницу и снова нажмите «Проверить миграцию», чтобы проверить, есть ли дополнительные сообщения об ошибках:

Если вы не видите там сообщения об ошибке, перейдите на вкладку «Сеть», перезагрузите страницу и снова нажмите «Проверить миграцию», чтобы проверить наличие дополнительных сообщений об ошибках:

На приведенном выше экране вы видите, что запрос не выполнен с состоянием (= код ошибки HTTP) 404 - в этом примере файл /wp-admin/admin-ajax.php был недоступен.

Однако более вероятно, что вы увидите здесь состояние 500 (= внутренняя ошибка сервера). Внутренняя ошибка сервера 500 - это общая ошибка перехвата всех ошибок, когда сервер генерирует исключение. Это сообщение об ошибке, когда более конкретное сообщение об ошибке не подходит и в большинстве случаев напрямую связано с неправильной настройкой или проблемой сервера.

Так что же теперь делать?

Сначала попробуйте временно отключить все остальные плагины, кроме Maps Marker Pro, чтобы убедиться, что эта проблема не вызвана конфликтом плагинов.

Если это не помогает, пожалуйста, посмотрите на журнал ошибок сервера, такой как PHP или журнал ошибок Apache, когда этот запрос сделан, и который может дать вам подсказку, почему эта ошибка происходит на вашем сервере.

Если это по-прежнему не помогает, проверьте, может ли одно из следующих руководств помочь вам найти причины этой ошибки сервера:

Если это по-прежнему не помогает, мы советуем обратиться в службу поддержки вашего хостинга, чтобы они могли проанализировать причину сбоя запроса к /wp-admin/admin-ajax.php при попытке запустить инструмент миграции.

0
0
5052
Оцените этот FAQ ответ

Ошибка консоли «MapsMarkerPro не определен»

Если ваши карты не отображаются, а в консоли браузера отображается ошибка «MapsMarkerPro не определен», выполните следующие действия:

  1. Если вы используете какие-либо плагины для кеширования, попробуйте сначала очистить все связанные кеши.
  2. Сначала проверьте, может ли эта проблема быть вызвана конфликтом плагинов. Чтобы убедиться в этом, временно отключите все другие плагины, кроме Maps Marker Pro, и повторите попытку.
  3. Если это не вернуло никаких результатов, проверьте, есть ли в ваших файлах шаблонов хуки для wp_head () в header.php и wp_footer () в footer.php (которые необходимы для правильной загрузки скриптов и стилей из Maps Marker Pro).
0
0
8015
Оцените этот FAQ ответ

Плитки карты (во вкладках) загружены не полностью

Если ваша карта выглядит, как в примере выше, или если она встроена во вкладку, включите опцию «Tabbed» в бэкэнде, которая должна решить эту проблему:

0
0
7993
Оцените этот FAQ ответ

«Ошибка: не удалось загрузить изображения карты»

Если вы видите это сообщение об ошибке вместо карты, это может иметь несколько причин:

наиболее вероятным является то, что используемый (внешний) сервер плиток в настоящее время недоступен или имеет временные проблемы (например, окно обслуживания). К сожалению, мы не имеем прямого влияния на доступность внешних серверов плиток. Maps Marker Pro позволяет вам подключаться для отображения плиток карты. Исходя из нашего опыта, OpenStreetMap очень надежен, и такие ошибки встречаются очень редко.

Как бы то ни было, как указано в сообщении об ошибке, возможно, что на стороне пользователя есть проблемы с подключением к Интернету, которые приводят к невозможности загрузки листов карты, хотя доступен внешний сервер листов карт.

Третья причина этой ошибки - неправильная конфигурация карты - обычно имеет место только в том случае, если вы используете пользовательские конфигурации сервера плиток (например, если вы добавили настраиваемую базовую карту, которая отображает плитки карты только для определенной области, и вы панорамировали свою карту за пределами этой области).

Если вы часто сталкиваетесь с этой проблемой с одним выбранным поставщиком услуг листов, вы можете попробовать переключиться на другого поставщика услуг листов для вашей карты.

1
0
13596
Оцените этот FAQ ответ

Как исправить несовместимость с плагином «Geo Redirect»

Плагин «Гео редирект”Позволяет вам перенаправлять посетителей или переключать язык в соответствии с их страной. К сожалению, с 2013 года не было обновлений, и использование этого плагина вместе с Maps Marker Pro приводит к разрыву карт слоев (так как перенаправляется также вызов leaflet-geojson.php, необходимый для загрузки маркеров.

Чтобы исправить это, откройте файл /wp-content/plugin/geographic-redirect/geo-redirect.php

Найти код

публичная функция checkIfRedirectNeeded ()
{
if (! is_array ($ this-> geo_redirect_data))
вернуться;

и заменить его

публичная функция checkIfRedirectNeeded ()
{
// информация: не перенаправлять запросы Maps Marker Pro
$ request_uri = $ this-> request_uri;
if (stripos ($ request_uri, 'geojson')! == FALSE) {
вернуться;
}
if (! is_array ($ this-> geo_redirect_data))
вернуться;

и сохраните файл. В результате карты слоев должны снова работать.

0
0
9233
Оцените этот FAQ ответ

Ошибка геолокации: разрешены только источники безопасности / требуется https

В Chrome 50+, Firefox 55+ и Safari 10+ значительные изменения в поддержке геолокации были внесены соответствующими поставщиками браузеров: все приложения, запрашивающие текущую позицию пользователя (не только для функции геолокации в Maps Marker Pro), разрешены только больше, чтобы узнать текущую позицию пользователя, если сайт настроен для безопасной доставки через https - вместо этого пользователи увидят следующее или подобное предупреждение:

геолокации ошибок-инфо

Подробнее об этом решении Google читайте на https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only, Geolocation будет по-прежнему работать на сайтах, отличных от https, если пользователи получат доступ к сайту через альтернативные браузеры, такие как Firefox, сафари или Internet Explorer - в любом случае вполне вероятно, что эти браузеры также добавят подобное ограничение безопасности в будущем.

Обновление ноябрь 2016: с iOS 10 также Safari 10+ теперь требует https для поддержки геолокации. Реализация еще более строгая, чем в Google Chrome - геолокация не будет работать, например, если на вашем сайте есть предупреждения со смешанным содержанием.

Обновление 2017: Firefox 55+ также требует https для доступа к геолокации (смотрите подробности)

Поэтому, если вам нужен геолокационный компонент Maps Marker Pro на вашем сайте (который с v2.7 даже становится более удобным, так как вы можете сортировать список маркеров в зависимости от текущей позиции пользователя), настоятельно рекомендуется перенести ваш сайт на HTTPS. Некоторые хостеры уже предоставляют бесплатные сертификаты https от letsencrypt.org например. Для конфигураций, необходимых на вашем сайте WordPress для того, чтобы настроить его на поддержку https, пожалуйста, посмотрите учебники, такие как https://css-tricks.com/moving-to-https-on-wordpress/.

Так как https имеет больше преимуществ для вашего сайта, чем просто геолокация, снова работая с Google Chrome 50+ и Safari 10+ (например, обеспечение целостности данных, аутентификация отправителя и конфиденциальность пользователя, а также более высокий рейтинг Google, поскольку https используется в качестве сигнала ранжирования), мы Настоятельно советуем переключить ваш сайт на https, только если вы этого еще не сделали.

Если вы переключили свой сайт на https и по-прежнему получаете ошибку геолокации (например, «Ошибка геолокации: пользователь отклонил геолокацию»), проверьте настройки местоположения вашего устройства, если приложениям / веб-сайтам разрешено получать геолокацию.

2
0
7182
Оцените этот FAQ ответ

Как устранить несовместимость с темой Enfold от kriesi.at

Обновление 28. Октябрь 2016: следующий обходной путь больше не требуется, если вы используете Maps Marker Pro v2.8, Leaflet Maps Marker v3.11 или выше.

Популярная тема Enfold kriesi.at ставит в очередь Google javascript на всех страницах администратора, что приводит к поломке API автозаполнения Google (= поиск по адресу). Чтобы это исправить, вы должны полностью отключить функцию сопоставления, добавленную темой:

откройте wp-content / themes / enfold / functions.php (соответственно functions.php из вашей дочерней темы, если вы его используете) и добавьте следующий код внизу:

add_filter ('avf_load_google_map_api', 'disable_google_map_api', 10, 1); функция disable_google_map_api ($ load_google_map_api) {$ load_google_map_api = false; return $ load_google_map_api; }

Больше информации на http://www.kriesi.at/support/topic/google-maps-element-javascript-conflict-with-maps-marker-pro-plugin/

0
0
5035
Оцените этот FAQ ответ

Я не вижу уведомления об обновлении плагина о новых версиях

Плагин Maps Marker Pro каждые 12 часов проверяет наличие новой версии. Вы также можете вручную запустить проверку обновлений, перейдя в Плагины и нажав на ссылку «Проверка обновлений вручную» рядом с «Maps Marker Pro»:

ручное обновление проверка

Если вы не видите ссылку «Проверять наличие обновлений вручную» или щелчок по ней не отображает Последняя версия доступны, пожалуйста, действуйте следующим образом:

Пожалуйста, сначала проверьте, используете ли вы v1.5.9 или v1.6. С v1.5.9 добавлена ​​доставка обновлений через SSL для повышения безопасности. К сожалению, мы обнаружили, что, хотя эта функция работает нормально, могут быть проблемы на серверах с устаревшими или неполными библиотеками SSL. Это может помешать вашему плагину связываться с mapsmarker.com для проверки наличия новых обновлений плагина.

Чтобы это исправить, пожалуйста, обновите вручную до последней версии, которая включает обходные пути для этих серверов. Чтобы вручную обновить плагин, пожалуйста, скачайте последнюю версию с https://mapsmarker.com/download-pro, разархивируйте пакет плагина и скопируйте файлы из распакованной папки / maps-marker-pro / на свой сервер через FTP, переписав все файлы и подкаталоги в каталоге youdomain.com/wp-content/плагины / карты-marker-про /

Обратите внимание: если вы удалите и переустановите плагин через интерфейс администратора WordPress, все созданные карты будут удалены при удалении, поэтому, пожалуйста, выполните обновление вручную через FTP, если вы уже создали некоторые карты!

Если обновление до последней версии не помогло решить проблему, обратитесь за помощью к своему хостеру. Могут быть специальные меры безопасности, не позволяющие вашему серверу напрямую взаимодействовать с https://www.mapsmarker.com (GET-запросы, порт 443).

Также возможно, что ваш сервер разрешает прямое соединение только через прокси (вы можете проверить это, если вы не получаете никаких обновлений ядра или плагинов WordPress). Если это так, прокси-сервер должен быть настроен в wp-config.php (пожалуйста, обратитесь к вашему хостеру за подробной информацией о вашем прокси):

define ('WP_PROXY_HOST', '192.168.xx.xxx'); define ('WP_PROXY_PORT', '8080'); define ('WP_PROXY_USERNAME', 'my_user_name'); define ('WP_PROXY_PASSWORD', 'my_password'); define ('WP_PROXY_BYPASS_HOSTS', 'localhost, www.example.com');

Если вы не используете прокси и по-прежнему не видите, что доступна новая версия плагина, установите плагин панели отладки из https://wordpress.org/extend/plugins/debug-bar/, Этот плагин позволяет отлаживать связь с сервером обновлений на mapsmarker.com. После активации этого плагина, нажмите на Отлаживать в админ-панели и выберите PUC (листовка-карты-маркер-про) с боковой панели. После этого вы можете проверить связь с сервером обновлений, нажав на кнопки Запрос информации и Проверь сейчас:

отладки штриховых шаги

Если вы или ваш хостер не можете помочь вам с информацией, полученной из плагина панели отладки, пожалуйста, открыть билет поддержки и мы будем рады помочь вам решить вашу проблему!

2
0
8441
Оцените этот FAQ ответ

«Ошибка: новый локальный лицензионный ключ не может быть получен». отображается после активации лицензии

подключения ошибок

Если вы видите ошибку выше после попытки активировать свой лицензионный ключ на странице настроек лицензии, это означает, что вашему серверу не удалось подключиться к https://www.mapsmarker.com для проверки лицензии.

Пожалуйста, обратитесь к вашему хостеру за помощью здесь. Могут быть специальные меры безопасности, не позволяющие вашему серверу напрямую взаимодействовать с https://www.mapsmarker.com (GET-запросы, порт 443).

Также возможно, что ваш сервер разрешает прямое соединение только через прокси (вы можете проверить это, если вы не получаете никаких обновлений ядра или плагинов WordPress). Если это так, прокси-сервер должен быть настроен в wp-config.php (пожалуйста, обратитесь к вашему хостеру за подробной информацией о вашем прокси):

define ('WP_PROXY_HOST', '192.168.xx.xxx'); define ('WP_PROXY_PORT', '8080'); define ('WP_PROXY_USERNAME', 'my_user_name'); define ('WP_PROXY_PASSWORD', 'my_password'); define ('WP_PROXY_BYPASS_HOSTS', 'localhost, www.example.com');

Если это также не помогает, пожалуйста открыть билет поддержки и мы будем рады помочь вам решить вашу проблему!

0
0
4724
Оцените этот FAQ ответ

При сохранении маркера появляется ошибка «маркер с идентификатором 0 не существует!»

Этот FAQ действителен только для Maps Marker Pro v3.1.1 или ниже:

Проверьте, созданы ли таблицы базы данных, необходимые для Maps Marker Pro, войдя в свой инструмент базы данных (обычно phpmyadmin) и проверив, есть ли таблицы

  • wp_leafletmapsmarker_markers и
  • wp_leafletmapsmarker_layers

существовать. Если да, пожалуйста, включите отладку WordPress (добавив define ('WP_DEBUG', true); на wp-config.php), также посмотрите журнал ошибок PHP, если это возможно, и откройте техподдержки с зарегистрированными результатами.

0
0
7986
Оцените этот FAQ ответ

отправная точка при использовании карт Google Maps неверна

По умолчанию Карты Google используются в качестве поставщика указателей для ссылки указателей на панели карты и для указателя направлений, добавляемых во всплывающий текст каждого маркера.

Если вы ввели адрес для своего местоположения, этот адрес будет использоваться для начальной точки направления, если вы только ввели координаты широты и логики (а поле адреса пустое), эти координаты используются в качестве начальной точки для направлений.

Если вы заметили, что ваша начальная точка в открытых Картах Google неверна, это связано с тем, что Google по умолчанию всегда рассчитывает маршруты, используя автомобиль в качестве предпочтительного способа транспортировки. Таким образом, ближайшее место к вашему местоположению, куда можно добраться на машине, автоматически принимается за отправную точку

К сожалению, это не может быть исправлено в Картах Google, так как это не ошибка, а функция any - в любом случае есть несколько способов решить эту проблему:

- если вы полагаетесь только на маршруты прогулок, вы можете перейти к настройкам / настройкам маршрутов / настройкам маршрутов Google Maps и установить флажок «Прогулки».

- если это не подходит для вас (дороги для автомобилей будут игнорироваться в этом направлении), перейдите в «Настройки» / «Настройки маршрутов» / «Общие настройки маршрутов» и выберите другого провайдера маршрутов, например, «Bing Maps», который принимает именно координаты вашего местоположения. и не меняет отправную точку.

0
1
9440
Оцените этот FAQ ответ

Полноэкранный режим HTML5 не работает для карт в iframes

Если вы внедрили карту с тегом iframe, вы должны добавить следующий код к этому тегу, чтобы HTLM5-fullscreen-mode (только pro версия) работал:

allowfullscreen = ”true” mozallowfullscreen = ”true” webkitallowfullscreen = ”true”

0
0
7077
Оцените этот FAQ ответ

Я получаю только «загрузка карты - пожалуйста, подождите ...» и никакой карты

Для анализа этой проблемы, пожалуйста, следуйте инструкциям на https://www.mapsmarker.com/kb/article/need-support-please-read-me-first/

0
1
9418
Оцените этот FAQ ответ

Я получаю сообщение об ошибке «Карта не может быть загружена - пожалуйста, включите Javascript!»

Maps Marker Pro нужен браузер, который поддерживает Javascript для отображения карт. Текущая версия распространенных браузеров (Firefox, Хром, Internet Explorer или Safari) поддерживают Javascript «из коробки» - если вы используете старую версию, пожалуйста, обновите ее до текущей версии (в целом вы выиграете от нее, поверьте мне!).

Если это не помогает, пожалуйста, проверьте, установлены ли у вас такие же аддоны / плагины для блокировки Javascript, как NoScript и активны - эти аддоны необходимо отключить, чтобы показывать карты.

Если это тоже не поможет, пожалуйста открыть билет поддержки и мы подробнее рассмотрим, почему ваша карта не отображается.

1
1
27783
Оцените этот FAQ ответ

Известные несовместимости с другими плагинами

В версии 2.1 Leaflet Maps Marker я добавил автоматическую проверку на наличие несовместимых плагинов и инструкции по устранению соответствующих ошибок (если это возможно). Если обнаружена несовместимость, в вашей административной области WordPress отображается уведомление администратора (и инструкции по ее устранению, если таковые имеются). Этот список автоматически обновляется при каждом новом выпуске.

0
0
8265
Оцените этот FAQ ответ

ARCHIVE - Предупреждение базы данных «Найдена строка, в которой столбец auto_increment имеет значение 0» (только версия 3.1.1 или ниже)

Этот FAQ действителен только для Maps Marker Pro v3.1.1 или ниже!

При использовании плагинов для резервного копирования, таких как BackWPup, или при работе непосредственно в вашей базе данных через phpmyadmin, вы можете заметить следующее предупреждение:

ВНИМАНИЕ: Результат проверки таблицы для wp_leafletmapsmarker_layers: Найденная строка, в которой столбец auto_increment имеет значение 0

Как правило, здесь не о чем беспокоиться - таблица wp_leafletmapsmarker_layers была разработана так, чтобы начинаться со значения 0, - изменение этого значения для подавления предупреждения, к сожалению, невозможно, так как слой 0 используется для всех маркеров, которые не назначены слою.

1
0
4809
Оцените этот FAQ ответ

Работа с картами - треки GPX

Ошибка «Тип файла не разрешен по соображениям безопасности» при попытке загрузить файл gpx

Эта проблема должна быть исправлена ​​в Maps Marker Pro v4.3 и выше - пожалуйста, обновите его до последней версии, чтобы применить это исправление.

Если проблема не устранена, добавьте следующий код в wp-config.php, который должен повторно включить загрузку файлов .gpx:

define ('ALLOW_UNFILTERED_UPLOADS', true);

Если это не помогает на вашем сайте, пожалуйста, посмотрите другие варианты, доступные из этот внешний учебник.

Если после этого проблема не устранена, пожалуйста, открыть билет поддержки.

3
0
8683
Оцените этот FAQ ответ

Можно ли отображать треки с фитнес-трекеров на картах?

Если ваши фитнес-трекеры (например, Garmin Fit) позволяют экспортировать записанные треки в формате GPX, эти файлы обычно также могут отображаться на картах с помощью Maps Marker Pro.

Чтобы отобразить эти треки, создайте новую карту, перейдите на вкладку «GPX» и начните, нажав кнопку «Открыть медиатеку»:

В качестве следующего шага перейдите на вкладку «Загрузить файлы», выберите и загрузите свой файл gpx, завершите, нажав кнопку «Выбрать»:

В результате трек GPX отображается на карте, и вы можете дополнительно настроить его параметры (рекомендуется переключиться на расширенный редактор для всех параметров):

0
0
4884
Оцените этот FAQ ответ

Могу ли я добавить несколько треков GPX на карту?

Вы можете добавить только один файл GPX на карту - если вы хотите показать несколько дорожек GPX на одной карте, сначала нужно объединить эти файлы - вы можете использовать онлайн-инструмент на http://joewein.net/bike/gpxmerge/ для этой цели.

С v4.0 хотя несколько дорожек в одном файле GPX также поддерживаются и могут быть выбраны с помощью соответствующего элемента управления в диаграмме высот:

1
0
10512
Оцените этот FAQ ответ

Можно ли вручную нарисовать дорожку GPX на карте?

Начиная с версии 4.3 мы добавили поддержку полилиний, которая позволяет рисовать непосредственно на ваших картах, используя геометрические слои, такие как полилинии, полигоны, круги и прямоугольники, прямо на ваших картах:

Посмотрите следующую анимацию о том, как можно редактировать полилинии (анимация любезно предоставлена ​​Sumit Kunar - просто имейте в виду, что функция добавления маркера, как видно на анимации, не поддерживается в Maps Marker Pro - если вы хотите добавить маркер, используйте функция «добавить маркер»):

1
2
8719
Оцените этот FAQ ответ

Могу ли я отображать маршруты (GPX) на картах?

Да, эта функция доступна с Maps Marker Pro v1.2.

С v4.0 Также поддерживаются графики высот GPX, путевые точки и несколько треков в одном файле.

0
0
4831
Оцените этот FAQ ответ

Работа с маркерами

Могу ли я добавить маркер на несколько карт?

Да, с Maps Marker Pro v4.0 + это возможно.

Откройте маркер на бэкэнде и выберите нужные карты из списка выбора карт:

0
0
4691
Оцените этот FAQ ответ

Как я могу изменить тень маркеров?

Изображение тени для значков маркеров можно изменить в меню «Настройки» / «Разное» / «Значки»:

0
0
7956
Оцените этот FAQ ответ

Могу ли я добавить собственные значки карты?

Да, вы можете выбрать из более чем 1000 значков для маркеров из https://mapicons.mapsmarker.com - больше инструкций о том, как загружать и использовать новые значки, пожалуйста, посмотрите на это руководство пользователя.

0
0
7915
Оцените этот FAQ ответ




Для специальной поддержки 1: 1, пожалуйста, войдите в клиентскую зону и открыть новый тикет поддержки.

en English
X